package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.web.utilerias.menu.ItemMenuSistema;

public class RenderSearchMenu implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		ItemMenuSistema itemMenuSistema = (ItemMenuSistema) o;

		Listcell lc = new Listcell(itemMenuSistema.getDescItemMenu());
		lc.setParent(lstm);

		lstm.setAttribute("data", itemMenuSistema);
	}
}
